Bug 72882 - invalid desktop file (KDE)
Summary: invalid desktop file (KDE)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: sylpheed   
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nakai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-28 17:59 UTC by Michael Schwendt
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-29 23:35:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-08-28 17:59:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
/etc/X11/applnk/Internet/sylpheed.desktop contains "Type=Internet" which is
invalid for KDE. Hence there is no KDE menu entry for Sylpheed.

--- sylpheed.desktop.orig       Thu Jul 25 11:18:00 2002
+++ sylpheed.desktop    Sun Aug 25 00:31:21 2002
@@ -6,4 +6,4 @@
 Exec=sylpheed
 Icon=sylpheed.png
 Terminal=0
-Type=Internet
+Type=Application



Version-Release number of selected component (if applicable):
0.8.1-1

How reproducible:
Always


Additional info:

Author got mailed. No response yet. Patch submitted at Sylpheed-claws home page
at sf.net. No reaction yet.

Comment 1 Havoc Pennington 2002-08-28 21:03:05 UTC
Type=Internet is invalid for GNOME too, it's pretty much total nonsense. ;-)

Should be Type=Application and Categories=Internet;Application;X-Red-Hat-Extra;

Use desktop-file-install in the %install phase of the spec file and it will
auto-validate the file. Also, you can use this to add the Categories line 
etc. See the examples in many other spec files.

Comment 3 Michael Schwendt 2002-08-29 21:26:11 UTC
> Categories=Internet;Application;X-Red-Hat-Extra;

Didn't work for me. Had to move the desktop file to /usr/share/applications and add

  Categories=Application;Network;X-Red-Hat-Extras;

to make it appear in "KMenu > Extras > Internet". With just Type=Application it
works fine on Valhalla, but not on Limbo or (null).

I also tried to add it to "KMenu > Internet" by adding X-Red-Hat-Base; but that
didn't work cleanly together with Extra. This categories thing is confusing, any
docs anywhere?

In (null) only four desktop files are left in /etc/X11/applnk and none of them
is displayed in the KDE menu:

# find /etc/X11/applnk -name \*\.desktop
/etc/X11/applnk/System/hwbrowser.desktop
/etc/X11/applnk/System/cups.desktop
/etc/X11/applnk/Graphics/ImageMagick.desktop
/etc/X11/applnk/Internet/sylpheed.desktop


Comment 4 Havoc Pennington 2002-08-29 21:37:14 UTC
/etc/X11/applnk stuff is supposed to be merged in (may be under Extras->Other
though).

You can find info on Categories on http://freedesktop.org, draft vfolder spec.

Comment 5 Michael Schwendt 2002-08-29 23:34:53 UTC
Thanks. http://www.freedesktop.org/standards/VFolderDesktops.txt confirms
"Internet" is no Standard Category. "Network" is. And yes, entries in
/etc/X11/applnk/Internet are merged as "Application;Network;Merged;" which is
"KMenu > Extras > Internet".


Comment 6 Nakai 2002-08-30 08:24:48 UTC
Fixed in sylhpeed-0.8.2-1

I've also mailed to the author but failed to get reply.

Comment 7 Alfons Hoogervorst 2002-08-30 08:50:55 UTC
you can send me the final patch, and i'll can push it up to Hiro.

Comment 8 Alfons Hoogervorst 2002-08-30 09:02:09 UTC
never mind: Hiro already applied it.


Note You need to log in before you can comment on or make changes to this bug.